Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLButtonElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLButtonElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, Element, EventTarget, HTMLButtonElement, HTMLElement, HTMLFormControl, Node, NodeList, java.io.Serializable

public final class HTMLButtonElementImpl
extends HTMLElementImpl
implements HTMLButtonElement, HTMLFormControl

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:09 $
See Also:
  `HTMLButtonElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLButtonElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`boolean` | `getDisabled()` The control is unavailable in this context.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` The type of button.
`java.lang.String` | `getValue()` The current form control value.
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setDisabled(boolean disabled)`
`void` | `setName(java.lang.String name)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLButtonElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLButtonElementImpl

    public HTMLButtonElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: `HTMLButtonElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.
  Specified by:
    `getAccessKey` in interface `HTMLButtonElement`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    `setAccessKey` in interface `HTMLButtonElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLButtonElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.
  Specified by:
    `getDisabled` in interface `HTMLButtonElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `HTMLButtonElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `HTMLButtonElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.
  Specified by:
    `getName` in interface `HTMLButtonElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `HTMLButtonElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLButtonElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.
  Specified by:
    `getTabIndex` in interface `HTMLButtonElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `HTMLButtonElement`

### getType

    public java.lang.String getType()

  Description copied from interface: `HTMLButtonElement`
  The type of button. See the type attribute definition in HTML 4.0.
  Specified by:
    `getType` in interface `HTMLButtonElement`

### getValue

    public java.lang.String getValue()

  Description copied from interface: `HTMLButtonElement`
  The current form control value. See the value attribute definition in HTML 4.0.
  Specified by:
    `getValue` in interface `HTMLButtonElement`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `HTMLButtonElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD